package com.red.circle.other.infra.database.cache.key.user;

import com.red.circle.component.redis.RedisKeys;

/**
 * 用户每日活跃缓存key.
 */
public enum UserDailyActiveKey implements RedisKeys {

  /**
   * 用户当日活跃去重标记. key格式: USER_DAILY_ACTIVE:ACTIVE_FLAG:{userId}:{activeDate}
   */
  ACTIVE_FLAG;

  @Override
  public String businessPrefix() {
    return "USER_DAILY_ACTIVE";
  }

  @Override
  public String businessKey() {
    return this.name();
  }

}
